%undefine _debugsource_packages
Name:       python-pytube
Version:    15.0.0
Release:    1%{?dist}
Summary:    A simple, yet versatile Python package for downloading YouTube videos
Group:      Development/Languages/Python
License:    BSD
URL:        https://github.com/pytube/pytube
Source:     https://github.com/pytube/pytube/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch
BuildRequires: python3-devel
BuildRequires:  python3-setuptools


%global _description %{expand:
pytube is a genuine, lightweight, dependency-free Python library (and command-line utility) for downloading YouTube videos.}

%description %_description

%package -n python3-pytube
Summary:        %{summary}

%description -n python3-pytube %_description
%prep
%setup -q -n pytube-%{version}
%generate_buildrequires

%build
%py3_build

%install
%py3_install

#sed -i 's|/bin/python$|/usr/bin/python2|' %{buildroot}%{_bindir}/*

%files
%doc README.md 
%license LICENSE
%{_bindir}/*
%{python3_sitelib}/*

%changelog
* Wed Jun 05 2024 josef radinger <cheese@nosuchhost.net> - 15.0.0-1
- bump version
- cleanup

* Wed May 06 2015 Wei-Lun Chao <bluebat@member.fsf.org> - 0.2.0
- Rebuilt for Fedora
